[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdActns' (#lcl)

# TCommonDialogAction.CreateDialog

Create a new instance of the class type needed for the dialog in the action.

## Declaration

Source position: stdactns.pas line 136

`protected procedure TCommonDialogAction.CreateDialog; virtual;`

## Description

Calls GetDialogClass to get the class reference used to create the dialog instance. When assigned, it is created and stored in the Dialog member for the class instance. The Name is set to the ClassName for the class reference, and it is marked as a sub-component for the class instance.